%define module_name Device-Serial-SLuRM
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/CRC.pm) perl(Future/AsyncAwait.pm) perl(Future/Buffer.pm) perl(Future/IO.pm) perl(Future/Selector.pm) perl(IO/Termios.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Syntax/Keyword/Match.pm) perl(Test/ExpectAndCheck/Future.pm) perl(Test/Future/IO.pm) perl(Test/Metrics/Any.pm) perl(Test2/V0.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: communicate the SL-oRM protocol over a serial port
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides a the Future::IO manpage-based interface for communicating with
a peer device on a serial port (or similar device handle) which talks the
SL-oRM messaging protocol. It supports sending and receiving of NOTIFY
packets, and sending of REQUEST packets that receive a RESPONSE.

It currently does not support receiving REQUESTs, though this could be added
relatively easily.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README doc examples
%perl_vendor_privlib/D*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.08-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt2
- rebuild with perl 5.38

* Tue Nov 14 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Wed Dec 28 2022 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Wed Oct 12 2022 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- initial import by package builder

